Ticket #10361: trac_10361-fix_spkg-install-spkg.patch

File trac_10361-fix_spkg-install-spkg.patch, 772 bytes (added by leif, 11 years ago)

SPKG patch. Adds error checking etc.

  • spkg-install

    # HG changeset patch
    # User Leif Leonhardy <not.really@online.de>
    # Date 1292406665 -3600
    # Node ID ce5e195b1495ba6212cc11c0f5a37fbce793df4b
    # Parent  3cd04be203f9b7c7150558c840a2845fbe6b3036
    #10361 (setuptools-0.6c11): Add error checks; use "#!/usr/bin/env bash"; make spkg-install executable.
    
    diff -r 3cd04be203f9 -r ce5e195b1495 spkg-install
    a b  
    1 #!/bin/sh
     1#!/usr/bin/env bash
     2
     3if [ -z "$SAGE_LOCAL" ]; then
     4    echo >&2 "Error: SAGE_LOCAL undefined - exiting..."
     5    echo >&2 "Maybe run 'sage -sh'?"
     6    exit 1
     7fi
    28
    39cd src
    410
    511python setup.py install
     12if [ $? -ne 0 ]; then
     13    echo >&2 "Error building / installing setuptools"
     14    exit 1
     15fi
    616